<?php

namespace Planaday\Database\SQLDatabaseControllers;

interface Database {
	public function getCreateTableQuery(bool $force = false): string;
	public function getDropTableQuery(): string;
	public function isDatabaseValid(): bool;
	public function rebuildTables(): void;
}